Subject: [Sip] Clarification of the location-by-reference URI (location-conveyance-05)

From: "Vrancken, Johnny" <[email-masked]>
Date: Thu, 2 Nov 2006 11:39:52 +0100

Hi,

In §3.2, it is stated that a location-by-reference URI is a pointer to a record on a remote node containing location of the location target.
The example in §4.1 Geolocation: <sips:server5.atlanta.example.com/alice123> does not contain a valid sips-URI (definition provided in RFC 3261).
A sip-URI / sips-URI / pres-URI typically has the user@domain format as in the example of §4.3.
So a sip-URI  / sips-URI / pres-URI typed location-by-reference URI refers to the presentity/target to be subscribed to in order to obtain the location information.
If the location-by-reference URI is an absolute URI (not sip / sips / pres ), then it may point directly to a record containing the location of the target
(e.g. https: //server5.atlanta.example.com/alice123)

Question: does the UAS or the SIP intermediary has to include the identity of the UAC when sending a SUBSCRIBE request to obtain the location information?

Some nits:
+ §5.2 last sentence: ... is the same as the UAC as above. (not UAS)
+ §3.2 contains contradictory statements for BYE (use of the geolocation header not allowed / conveying location is not defined). 
+ application/pidf should be application/pidf+xml in Accept and Content-Type headers
+ civilAddress should be civicAddress
+ mind the order of the XML elements in the examples (<status> the beginning of <tuple>, <timestamp> at the end of <tuple>, child elements of <civicAddress>)
+ §4.1: urn of gml prefix is missing

Kind regards,

Johnny

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip